StarObjectSmallGraphicInternal::SdrGraphicPage Class Referencefinal

Internal: virtual class to store a Sdr graphic page. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicPage:

## Public Member Functions

| SdrGraphicPage ()
| constructor
| ~SdrGraphicPage () override
| destructor
std::string | print () const final
| basic print function
bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool) final
| try to send the graphic to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes

int | m_page
| the page
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends

std::ostream & | operator<< (std::ostream &o, SdrGraphicPage const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic page.

## Constructor & Destructor Documentation

## SdrGraphicPage()

StarObjectSmallGraphicInternal::SdrGraphicPage::SdrGraphicPage | ( |  | ) |

inline

constructor

Referenced by operator<<.

## ~SdrGraphicPage()

StarObjectSmallGraphicInternal::SdrGraphicPage::~SdrGraphicPage | ( |  | ) |

override

destructor

## Member Function Documentation

## print()

std::string StarObjectSmallGraphicInternal::SdrGraphicPage::print | ( |  | ) | const

inline final virtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

## send()

bool StarObjectSmallGraphicInternal::SdrGraphicPage::send | ( | STOFFListenerPtr & | ,
|  | STOFFFrameStyle const & | ,
|  | StarObject & | ,
|  | bool | )

inline final virtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicPage const & | graph )

friend

print object data

## Member Data Documentation

## m_page

int StarObjectSmallGraphicInternal::SdrGraphicPage::m_page

the page

Referenced by operator<<, and SdrGraphicPage().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx